Name:           perl-Trace-Mask
Version:        0.000006
Release:        2%{?dist}
Summary:        Masking frames in stack traces
# License URLs in PODs are wrong
# <https://github.com/exodist/Trace-Mask/issues/2>.
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Trace-Mask/
Source0:        http://www.cpan.org/authors/id/E/EX/EXODIST/Trace-Mask-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(B)
BuildRequires:  perl(base)
BuildRequires:  perl(Carp) >= 1.03
BuildRequires:  perl(Exporter)
BuildRequires:  perl(List::Util) >= 1.10
BuildRequires:  perl(Scalar::Util) >= 1.10
BuildRequires:  perl(Test::Stream::Context)
BuildRequires:  perl(Test::Stream::Plugin::Compare)
BuildRequires:  perl(Test::Stream::Plugin::Subtest)
BuildRequires:  perl(Try::Tiny) >= 0.03
# Tests:
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Test::Stream) >= 1.302018
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Scalar::Util) >= 1.10

%{?perl_default_filter}
# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\((Carp|List::Util|Scalar::Util)\\)$

%description
This is a specification packages can follow to define behaviors stack
tracers may choose to honor. If a module implements this specification than
any compliant stack tracer will render the stack trace as desired. This
package also provides some implementations (e.g. a Carp stack tracer).

%package Test
Summary:        Tools for testing Trace::Mask compliance
Requires:       %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp) >= 1.03
Requires:       perl(List::Util) >= 1.10
Requires:       perl(Scalar::Util) >= 1.10
Requires:       perl(Test::Stream::Context)
Requires:       perl(Test::Stream::Plugin::Compare)
Requires:       perl(Test::Stream::Plugin::Subtest)

%description Test
This package provides tools for testing tracers. This allows you to check
that a tracer complies with the Trace::Mask specifications.

%prep
%setup -q -n Trace-Mask-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
# README.md duplicates README's content
%doc Changes README
%{perl_vendorlib}/*
%exclude %{perl_vendorlib}/Trace/Mask/Test.pm
%{_mandir}/man3/*
%exclude %{_mandir}/man3/Trace::Mask::Test.*

%files Test
%{perl_vendorlib}/Trace/Mask/Test.pm
%{_mandir}/man3/Trace::Mask::Test.*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.000006-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 23 2015 Petr Pisar <ppisar@redhat.com> 0.000006-1
- Specfile autogenerated by cpanspec 1.78.
